#pragma once
#include "colorstatic.h"
#include "afxwin.h"
#include "readonlyedit.h"


// CDlg_WaterHeating dialog

class CDlg_WaterHeating : public CDialog
{
	DECLARE_DYNAMIC(CDlg_WaterHeating)

public:
	CDlg_WaterHeating(CWnd* pParent = NULL);   // standard constructor
	virtual ~CDlg_WaterHeating();

// Dialog Data
	enum { IDD = IDD_WATERHEATING };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	
	virtual BOOL OnInitDialog();

	afx_msg void AddStringsToComboBoxesForWaterHeatingDlg();
	afx_msg void DisplayValuesForWaterHeatingDlg();
	afx_msg void ReadInputsFromWaterHeatingDlg();
	DECLARE_MESSAGE_MAP()
public:
	CColorStatic m_labelGeneral;
	CColorStatic m_labelCylinderDetails;
	CColorStatic m_labelThermalStore;
	CColorStatic m_labelCombiHot;
	CColorStatic m_labelDHW;
	CColorStatic m_labelHeatPump;
	CColorStatic m_labelSummerImmer;
	CColorStatic m_labelFGHRS;

	CButton m_btnWaterHtFromMain;	

	CComboBox m_comboWHtype;
	CComboBox m_comboCylinderWithingDwelling;
	CComboBox m_comboDHWfuel;
	CComboBox m_comboWaterSepTimed;
	CComboBox m_comboManufactLossFactor;
	CComboBox m_comboInsulationType;
	CComboBox m_comboCylThermostat;
	CComboBox m_comboCylInHtdSpace;
	CComboBox m_comboCylPrimaryPipeworkIns;
	CComboBox m_comboCylPumpedPrimarySys;
	CComboBox m_comboTSinSingleUnit;
	CComboBox m_comboTSPrimaryPipework;
	CComboBox m_comboTSInAiringCpbd;
	CComboBox m_comboCombiHotUsesElec;
	CComboBox m_comboDHWprovidedFrom;
	CComboBox m_comboDHWsystem;
	CComboBox m_comboHPusesImmer;
	CComboBox m_comboSummerImmer;
	CComboBox m_comboCombiHotYN;
	CComboBox m_comboDHWCom;
	CComboBox m_comboFGHRsys;
	
	CReadOnlyEdit m_editWTEff;
	CReadOnlyEdit m_editCylinderDecFactor;
	CReadOnlyEdit m_editCylinderVolume;
	CReadOnlyEdit m_editCylInsulationThickness;
	CReadOnlyEdit m_editTSpowerRating;
	CReadOnlyEdit m_editCHPheatToPowerRatio;
	CReadOnlyEdit m_editDHWefficiency;

	CString str_comboWHtype;
	CString str_comboCylinderWithingDwelling;
	CString str_comboDHWfuel;
	CString str_comboWaterSepTimed;
	CString str_comboManufactLossFactor;
	CString str_editCylinderDecFactor;
	CString str_editCylinderVolume;
	CString str_comboInsulationType;
	CString str_editCylInsulationThickness;
	CString str_comboCylThermostat;
	CString str_comboCylInHtdSpace;
	CString str_comboCylPrimaryPipeworkIns;
	CString str_comboCylPumpedPrimarySys;
	CString str_comboTSinSingleUnit;
	CString str_comboTSPrimaryPipework;
	CString str_comboTSInAiringCpbd;
	CString str_comboCombiHotUsesElec;
	CString str_editTSpowerRating;
	CString str_comboDHWprovidedFrom;
	CString str_editCHPheatToPowerRatio;
	CString str_comboDHWsystem;
	CString str_editDHWefficiency;
	CString str_comboHPusesImmer;
	CString str_comboSummerImmer;
	CString str_comboCombiHotYN;
	CString str_comboDHWCom;
	CString str_comboFGHRsys;
	CString str_editWTEff;

	afx_msg void OnCbnSelchangeComboWhtype();
	afx_msg void OnCbnSelchangeCombocylinder();
	afx_msg void OnCbnSelchangeComboWhfuel();
	afx_msg void OnCbnSelchangeCombowaterseptimed();
	afx_msg void OnCbnSelchangeComborangecookertype();
	afx_msg void OnCbnSelchangeComboManufactlossfact();
	afx_msg void OnEnChangeEditcyldeclaredfactor();
	afx_msg void OnEnChangeEditcylvolume();
	afx_msg void OnCbnSelchangeComboinstype();
	afx_msg void OnEnChangeEditInsthickness();
	afx_msg void OnCbnSelchangeCombothermostat();
	afx_msg void OnCbnSelchangeComboinheatedspace();
	afx_msg void OnCbnSelchangeComboprimpipeworkins();
	afx_msg void OnCbnSelchangeCombopumpedprimsystem();
	afx_msg void OnCbnSelchangeComboinsingleunit();
	afx_msg void OnCbnSelchangeComboprimpipelt15m();
	afx_msg void OnCbnSelchangeCombostoreinairingcpbd();
	afx_msg void OnCbnSelchangeCombkeephotuseselec();
	afx_msg void OnEnChangeEditkeephotwaterrating();
	afx_msg void OnCbnSelchangeComboDhwprovidedfrom();
	afx_msg void OnEnChangeEditChpheattopowerratio();
	afx_msg void OnCbnSelchangeCombo28();
	afx_msg void OnEnChangeEditefficiency();
	afx_msg void OnCbnSelchangeComboDhwusesimmer();
	afx_msg void OnCbnSelchangeCombosummerimmer();
	afx_msg void OnCbnSelchangeCombo1();
	afx_msg void OnCbnSelchangeCombo4();
	afx_msg void OnCbnSelchangeCombo5();
	afx_msg void OnBnClickedCheck1();
	afx_msg void OnEnChangeEditcylvolume2();

	virtual BOOL PreTranslateMessage(MSG* pMsg);	
};

